import { ComponentFixture, TestBed } from '@angular/core/testing';

import { VolumeUploadToImageFormComponent } from './volume-upload-to-image-form.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';
import { ReactiveFormsModule } from '@angular/forms';
import { MatSelectModule } from '@angular/material/select';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';

describe('VolumeUploadToImageFormComponent', () => {
  let component: VolumeUploadToImageFormComponent;
  let fixture: ComponentFixture<VolumeUploadToImageFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [VolumeUploadToImageFormComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatDialogModule, ReactiveFormsModule, MatSelectModule,
        MatSnackBarModule, NoopAnimationsModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(VolumeUploadToImageFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
